﻿Type=Service
Version=6.5
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
#End Region

Sub Process_Globals
	Private listener As NotificationListener
End Sub

Sub Service_Create
	listener.Initialize("listener")
	listener.ClearAll
End Sub

Sub Service_Start (StartingIntent As Intent)
	If listener.HandleIntent(StartingIntent) Then Return
End Sub

Sub Service_Destroy
 	
End Sub

Sub Listener_NotificationPosted (SBN As StatusBarNotification)
	Dim Nick, Message As String
	Log("NotificationPosted, package = " & SBN.PackageName & ", id = " & SBN.Id & ", text = " & SBN.TickerText)
	If SBN.PackageName="com.whatsapp" Then 
		Log(SBN.TickerText)
		
		'Cancella Notifiche
		Dim p As Phone
		If p.SdkVersion >= 19 Then
			Dim jno As JavaObject = SBN.Notification
			Dim extras As JavaObject = jno.GetField("extras")
			'Dim bmp As Bitmap = jno.GetField("largeIcon")
		
			Try
				extras.RunMethod("size", Null)
				Nick = extras.RunMethod("getString", Array As Object("android.title"))
				Message=extras.RunMethod("getString", Array As Object("android.bigText"))
				Log(extras)
				LogColor("Nick = " & Nick, Colors.Blue)
				LogColor("Messaggio = " & Message, Colors.red)
			Catch
				Log("No messaggio")
			End Try
		
			Dim lines() As Object = extras.RunMethod("getCharSequenceArray", Array("android.textLines"))
			If lines<>Null Then 
				For Each line As Object In lines
				Log(line)
				Message=line
				Next
			End If
			Send(Nick,Message,0)
			
			'listener.ClearNotification(SBN)
		End If
	End If
	
End Sub

Sub Listener_NotificationRemoved (SBN As StatusBarNotification)
	Log("NotificationRemoved, package = " & SBN.PackageName & ", id = " & SBN.Id & _
		", text = " & SBN.TickerText)
End Sub

Sub ClearAll
	listener.ClearAll
End Sub

Sub GetActive
	listener.GetActiveNotifications
End Sub

Sub Send(Name As String, Message As String, Time As Long)
	If Message<>Null And Message<>"null" Then 
		CallSub3(Main,"Viewer",Name,Message)
	End If
End Sub
